Subject: bug#28551: Emacs master does not respect frame width [macOS]

From: Angelo Graziosi <[email-masked]>
Date: Fri, 22 Sep 2017 17:13:37 +0200 (CEST)

Both on Windows, GNU/Linux and macOS, in the init.el file I have something like this

(setq default-frame-alist
      '(
        (width . 110) ; character
        [...]
        ))

This allow me to have an useful space of 110 columns to write.

Now with the build 015172d1ba36de9ab2ca2cae020b6ab6793dbb8c (2017-09-15 11:46:37), on macOS, the above is not respected. I have lost about 5 columns (really I have lost also a line, from 32 to 31). The same does not occur on GNU/Linux and Windows on which I have built the same master.

Notice, they are a few years I am using the above configuration on these systems.

Angelo